Bug 178063 - netdump should use %config(noreplace) for /etc/sysconfig/netdump
netdump should use %config(noreplace) for /etc/sysconfig/netdump
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netdump (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Depends On:
Blocks: 168429
  Show dependency treegraph
Reported: 2006-01-17 12:25 EST by Linda Wang
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0038
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 13:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2006-01-17 12:25:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
The netdump config file is a sample, and changes are required to get netdump to work.  But when the config is modified and noReplaceConfig is enabled for up2date, it will not be updated.

When noReplaceConfig is enabled, netdump should still be allowed to update and the config file should not be overwritten (much like the behavior of up2date itself).  This equates to building the netdump package with %config(noreplace) in the spec file.

Version-Release number of selected component (if applicable):
netdump 0.7.14-1

How reproducible:

Steps to Reproduce:
1.load up RHEL4 distro
2.cause kernel panic
3.take a netdump

Actual Results:  When noReplaceConfig is enabled, netdump didn't allowed to update and the config file got overwritten

Expected Results:  When noReplaceConfig is enabled, netdump should still be allowed to update and the config file should not be overwritten.

Additional info:
Comment 5 Red Hat Bugzilla 2006-03-07 13:26:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.